/*!
 * (c) Copyright 2024 Swiss Post Ltd.
 */

@use 'sass:map';
@use '../base';

.page-actions {
  display: flex;
  align-items: center;

  > .bi:first-of-type {
    font-size: map.get(base.$font-sizes, 2);
    margin-inline-end: base.$spacer;
  }

  > .spinner {
    margin-inline-end: base.$spacer;
  }

  > .btn-link {
    margin-inline-start: map.get(base.$spacers, 1);
  }

  > .btn-primary {
    margin-inline-start: base.$spacer;
  }

  > .btn:first-of-type {
    margin-inline-start: auto;
  }
}

@each $status, $color in (ready: base.$info, in-progress: base.$gray-800, complete: base.$success, error: base.$danger) {
  .page-actions-#{$status} {
    background-color: shift-color($color, -90%);
    color: $color;
  }
}